For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get segment model for specified id

This endpoint retrieves the segment object for the specified segment ID.

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint retrieves the segment object for the specified segment ID."

Get segment model for specified id

Get segment model for specified id

get

This endpoint retrieves the segment object for the specified segment ID.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Path parameters
idstringRequired
Responses
200

The segment object for requested id.

application/json
get/v1/segments/{id}
GET /v1/segments/{id} HTTP/1.1
Host: customer.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "segment": {
    "category": [
      "text"
    ],
    "description": "text",
    "id": "text",
    "name": "text",
    "retailerTeamId": "text",
    "segmentId": "text",
    "sourceId": "text"
  }
}